package me.lensfrex.vegetables.resopnse;

public class ResponseTool {
    /**
     * 构建请求成功的响应返回类
     * @param data 请求到的数据
     * @param message 请求信息
     * @param <T> 请求的数据类型
     * @return 构建出的请求响应类
     */
    public static <T> UnityResponse<T> success(T data, String message) {
        return new UnityResponse<>(UnityResponse.ResultCode.SUCCESS, message, data);
    }

    /**
     * 构建请求失败的响应返回类
     * @param message 失败信息
     * @param code 失败状态码，应从UnityResponse.ResultCode中定义的常量中选择
     * @return 构建出的请求响应类
     */
    public static <T> UnityResponse<T> error(String message, int code) {
        return new UnityResponse<>(code, message, null);
    }
}
